Bug 835140 - Missing Dutch keyboard layout small Apple aluminium keyboard
Missing Dutch keyboard layout small Apple aluminium keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 12:24 EDT by Jurgen Kramer
Modified: 2013-08-01 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:33:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2012-06-25 12:24:03 EDT
Description of problem:
There is no correct layout for the Dutch small aluminium apple keyboard (wired and wireless)

Version-Release number of selected component (if applicable):
kbd-misc-1.15.3-5

How reproducible:
always

Steps to Reproduce:
1. Select Dutch keyboard -> some wrong keys
2. Select US Int keyboard -> some wrong keys
3. etc
  
Actual results:
There is no correct layout for the Dutch aluminium apple keyboard

Expected results:
Able to choose correct Dutch layout for small Apple aluminium keyboard

Additional info:
Dutch apple keyboard seems to have oddbol layout.

keymap nl (nl.map.gz) @ sign not above 2, " not above ' etc
keymap US Int:
 ' ~ key gives < >

See http://support.apple.com/kb/HT2841 -> Dutch for the correct layout.

What is needed to get a proper layout? US Int seems to come close but needs some keys swapped/changed.
Comment 1 Vitezslav Crhonek 2013-02-19 10:10:11 EST
Do you mean keyboard layout in pure text console (selecting it with "loadkeys" command) or in X server (selecting layout with a GUI)?
Comment 2 Jurgen Kramer 2013-03-01 04:17:19 EST
The Dutch layout is not available at all, so both from console and X.
Comment 3 Fedora End Of Life 2013-07-04 01:27:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 12:33:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.